<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="./res/css/main.css">

    <!-- CORE -->
    <script type="text/javascript" src="./libs/mcow_js_core/libs/third_party/chroma.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/libs/third_party/perlin.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/libs/third_party/tween.umd.js"></script>

    <script type="text/javascript" src="./libs/mcow_js_core/src/Array.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/Input.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/Math.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/Noise.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/Random.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/Shake.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/String.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/Timer.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/Tween.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/Utils.js"></script>

    <script type="text/javascript" src="./libs/mcow_js_core/src/Algo/Floodfill.js"></script>
<!--    <script type="text/javascript" src="./libs/mcow_js_core/src/Vector.js"></script>-->
    <script type="text/javascript" src="./libs/mcow_js_core/src/Version.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_core/src/Window.js"></script>
    <!-- PIXI -->
    <!--  <script type="text/javascript" src="https://pixijs.download/release/pixi.min.js"></script>
    -->
    <script type="text/javascript" src="./libs/mcow_js_pixi/libs/pixi.js"></script>
    <script type="text/javascript" src="libs/mcow_js_pixi/libs/hack_pixi-particles.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_pixi/libs/pixi-sound.js"></script>

    <script type="text/javascript" src="./libs/mcow_js_pixi/Application.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_pixi/Input.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_pixi/RES.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_pixi/Scene_Manager.js"></script>
    <script type="text/javascript" src="./libs/mcow_js_pixi/Base_Scene.js"></script>

    <script type="text/javascript" src="./libs/mcow_js_pixi/Base_BMPText.js"></script>
</head>

<body>
    <div id="canvas_div"></div>

    <script type="text/javascript" src="src/Constants.js"></script>
    <script type="text/javascript" src="src/Textures.js"></script>
    <script type="text/javascript" src="src/GameSettings.js"></script>
    <script type="text/javascript" src="src/Audio.js"></script>

    <!-- Scenario -->
    <script type="text/javascript" src="src/Scenario/SkyBackground.js"></script>
    <script type="text/javascript" src="src/Scenario/ScenarioLayer.js"></script>
    <script type="text/javascript" src="src/Scenario/Scenario.js"></script>

    <!-- UI -->
    <script type="text/javascript" src="src/UI/UI_Defs.js"></script>
    <script type="text/javascript" src="src/UI/UI_Utils.js"></script>
    <script type="text/javascript" src="src/UI/Text.js"></script>
    <script type="text/javascript" src="src/UI/FixedContainer.js"></script>
    <script type="text/javascript" src="src/UI/NineSliceButton.js"></script>
    <script type="text/javascript" src="src/UI/ParallaxLayer.js"></script>
    <script type="text/javascript" src="src/UI/ScoreNumber.js"></script>
    <script type="text/javascript" src="src/UI/ScoreNumberParticle.js"></script>

    <!-- GamePlay -->
    <script type="text/javascript" src="src/Gameplay/Brick.js"></script>

    <!-- Scenes -->
    <script type="text/javascript" src="src/Scenes/AnimatedScene.js"></script>
    <script type="text/javascript" src="src/Scenes/SplashScene.js"></script>
    <script type="text/javascript" src="src/Scenes/MenuScene.js"></script>
    <script type="text/javascript" src="src/Scenes/CreditsScene.js"></script>
    <script type="text/javascript" src="src/Scenes/GameScene.js"></script>

    <script type="text/javascript" src="src/main.js"></script>

</body>
</html>
